<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql1 = <<<'SQL'
        ALTER TABLE panel_box_validations
        ADD COLUMN panel_box_supplier TEXT DEFAULT NULL
        SQL;

        DB::statement($sql1);

        $sql2 = <<<'SQL'
        ALTER TABLE panel_box_validations
        ADD COLUMN panel_box_serial_number TEXT DEFAULT NULL
        SQL;

        DB::statement($sql2);

        $sql3 = <<<'SQL'
        ALTER TABLE panel_box_validations
        ADD COLUMN panel_box_code TEXT DEFAULT NULL
        SQL;

        DB::statement($sql3);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('panel_box_validations', function (Blueprint $table) {
            //
        });
    }
};
